upgrad von version 4.4.x auf 4.6.8.5

Gesperrt
gondo
Beiträge: 2
Registriert: So 23. Jul 2006, 12:07
Kontaktdaten:

upgrad von version 4.4.x auf 4.6.8.5

Beitrag von gondo » So 23. Jul 2006, 12:32

Hallo,
habe mal eine Testversion mit dem upgrade aufgespielt. Ich bekomme eine Fehlermeldung im Frontend beim eval() in Zeile 792 Parse Error:
Im Debugmodus hab ich gesehen dass beim eval am Anfang des Strings
<?php
<?php
steht. Klar das gibt eine Parse Error. Nur warum passiert das jetzt bei Version 4.6.8 und nicht bei 4.4.x ? Und vor allem, wie bekomme ich diese Problem gelöst?
Bin relativ neu bei Contenido. Das System wurde von jemand anderem aufgesetzt.

ICh hab jetzt rausgefunden dass der Code falsch in die Tabelle con_code geschrieben wird. Woher kommt der? Wie und wo kann man das beeinflussen?
Grüße
Gondo

emergence
Beiträge: 10602
Registriert: Mo 28. Jul 2003, 12:49
Wohnort: Austria
Kontaktdaten:

Beitrag von emergence » Mo 24. Jul 2006, 08:26

ein update von einer > 4.4.2 auf eine 4.6.x sollte an sich nicht so ein problem verursachen...

folgendes

db tabelle con_code leeren (nicht löschen)
anschließend seite aufrufen
-> falls wieder selber fehler
backend -> layout checken -> CMS_CONTAINER sollten/dürfen nicht
von <?php ?> umschlossen sein, falls doch -> entfernen...
-> weiters
backend -> module checken outputbereich -> beginnender php code muss von <?php ?> umschlossen sein...
dann nochmals con_code leeren -> nochmals seite aufrufen...

falls das auch nichts hilft

->
wie sieht der code des moduls aus das den fehler verursacht ?
wurden alle module korrekt konfiguriert ? (bei einigen kann das zu deinem genannten fehler führen)
*** make your own tools (wishlist :: thx)

gondo
Beiträge: 2
Registriert: So 23. Jul 2006, 12:07
Kontaktdaten:

<?php .. und Co

Beitrag von gondo » Mo 24. Jul 2006, 18:40

Hallo,

danke, das hat mir schon geholfen.
An einigen Stellen war <?php ?> um den CONTAINER und in einigen Modulen fehlte das <?php am Anfang :?
cheers!

L.

grossy
Beiträge: 57
Registriert: Mi 28. Apr 2004, 12:56
Wohnort: downunder
Kontaktdaten:

Beitrag von grossy » Sa 12. Aug 2006, 06:22

sorry hat sich erledigt - hatte mit dem swf contype und der swfheader klasse zu tun. thx anyway
< put intelligent quote here />

Gesperrt